Bug 543549 - Review Request: rubygem-haml - XHTML/XML templating engine
Summary: Review Request: rubygem-haml - XHTML/XML templating engine
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
: 551565 562998 (view as bug list)
Depends On: 552972
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-02 16:02 UTC by Michal Babej
Modified: 2013-07-31 23:14 UTC (History)
10 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-03-28 15:57:04 UTC
mtasaka: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Michal Babej 2009-12-02 16:02:10 UTC
Spec URL: http://mogurakun.web.runbox.net/rubygem-haml.spec
SRPM URL: http://mogurakun.web.runbox.net/rubygem-haml-2.2.14-1.fc12.src.rpm

Description: Haml (HTML Abstraction Markup Language) is a layer on top of XHTML or XML that's designed to express the structure of XHTML or XML documents in a
non-repetitive, elegant, easy way, using indentation rather than closing tags and allowing Ruby to be embedded with ease.

rpmlint rubygem-haml.spec:
rubygem-haml.spec: W: patch-not-applied Patch0: engine_test.patch
0 packages and 1 specfiles checked; 0 errors, 1 warnings.

rpmlint rubygem-haml-2.2.14-1.fc12.noarch.rpm:
rubygem-haml.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/haml-2.2.14/ri/Sass/Script/Number/normalize%21-i.yaml %21     
rubygem-haml.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/haml-2.2.14/ri/Object/is_haml%3f-i.yaml %3f                   
rubygem-haml.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/haml-2.2.14/ri/Sass/Tree/CommentNode/invisible%3f-i.yaml %3f  
rubygem-haml.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/haml-2.2.14/ri/Sass/Tree/Node/perform%21-i.yaml %21           
rubygem-haml.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/haml-2.2.14/ri/Sass/Tree/Node/options%3d-i.yaml %3d           
rubygem-haml.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/haml-2.2.14/ri/Sass/Script/Number/convertable%3f-i.yaml %3f   
rubygem-haml.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/haml-2.2.14/ri/Sass/Tree/ImportNode/invisible%3f-i.yaml %3f   
rubygem-haml.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/haml-2.2.14/ri/Sass/Engine/Line/comment%3f-i.yaml %3f         
rubygem-haml.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/haml-2.2.14/ri/Sass/Tree/PropNode/perform%21-i.yaml %21       
rubygem-haml.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/haml-2.2.14/ri/Sass/Tree/RuleNode/perform%21-i.yaml %21       
rubygem-haml.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/haml-2.2.14/ri/Sass/Tree/PropNode/invalid_child%3f-i.yaml %3f 
rubygem-haml.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/haml-2.2.14/ri/Sass/Tree/CommentNode/%3d%3d-i.yaml %3d        
rubygem-haml.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/haml-2.2.14/ri/Haml/Helpers/action_view%3f-c.yaml %3f         
rubygem-haml.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/haml-2.2.14/ri/Sass/Plugin/Rack/disable_native_plugin%21-c.yaml %21
rubygem-haml.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/haml-2.2.14/ri/Haml/Template/rails_xss_safe%3f-i.yaml %3f
rubygem-haml.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/haml-2.2.14/ri/Sass/Script/Number/int%3f-i.yaml %3f
rubygem-haml.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/haml-2.2.14/ri/ActionView/Base/delegate_template_exists%3f-i.yaml %3f
rubygem-haml.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/haml-2.2.14/ri/Sass/Tree/PropNode/%3d%3d-i.yaml %3d
rubygem-haml.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/haml-2.2.14/ri/Sass/Tree/IfNode/options%3d-i.yaml %3d
rubygem-haml.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/haml-2.2.14/ri/Sass/Script/Literal/%3d%3d-i.yaml %3d
rubygem-haml.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/haml-2.2.14/ri/Sass/Tree/ImportNode/perform%21-i.yaml %21
rubygem-haml.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/haml-2.2.14/ri/Haml/Util/has%3f-i.yaml %3f
rubygem-haml.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/haml-2.2.14/ri/Sass/Script/Number/unitless%3f-i.yaml %3f
rubygem-haml.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/haml-2.2.14/ri/Sass/Tree/RuleNode/%3d%3d-i.yaml %3d
rubygem-haml.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/haml-2.2.14/ri/Sass/Tree/RuleNode/continued%3f-i.yaml %3f
rubygem-haml.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/haml-2.2.14/ri/Sass/Script/Lexer/done%3f-i.yaml %3f
rubygem-haml.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/haml-2.2.14/ri/Haml/Util/assert_html_safe%21-i.yaml %21
rubygem-haml.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/haml-2.2.14/ri/Sass/Tree/Node/invalid_child%3f-i.yaml %3f
rubygem-haml.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/haml-2.2.14/ri/Sass/Plugin/options%3d-i.yaml %3d
rubygem-haml.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/haml-2.2.14/ri/Haml/Engine/html%3f-i.yaml %3f
rubygem-haml.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/haml-2.2.14/ri/Sass/Tree/Node/%3c%3c-i.yaml %3c
rubygem-haml.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/haml-2.2.14/ri/Haml/Engine/html5%3f-i.yaml %3f
rubygem-haml.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/haml-2.2.14/ri/Haml/Util/ruby1_8%3f-i.yaml %3f
rubygem-haml.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/haml-2.2.14/ri/Haml/Helpers/block_is_haml%3f-i.yaml %3f
rubygem-haml.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/haml-2.2.14/ri/Sass/Script/Number/legal_units%3f-i.yaml %3f
rubygem-haml.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/haml-2.2.14/ri/Haml/Exec/Generic/parse%21-i.yaml %21
rubygem-haml.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/haml-2.2.14/ri/Haml/Util/rails_xss_safe%3f-i.yaml %3f
rubygem-haml.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/haml-2.2.14/ri/Sass/Tree/Node/invisible%3f-i.yaml %3f
rubygem-haml.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/haml-2.2.14/ri/Haml/Engine/xhtml%3f-i.yaml %3f
rubygem-haml.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/haml-2.2.14/ri/Sass/Tree/Node/%3d%3d-i.yaml %3d
rubygem-haml.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/haml-2.2.14/ri/ActionView/Helpers/InstanceTag/is_haml%3f-i.yaml %3f
rubygem-haml.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/haml-2.2.14/ri/Haml/Engine/html4%3f-i.yaml %3f
rubygem-haml.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/haml-2.2.14/ri/Sass/Script/Literal/assert_int%21-i.yaml %21
rubygem-haml.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/haml-2.2.14/ri/Haml/Helpers/is_haml%3f-i.yaml %3f
1 packages and 0 specfiles checked; 0 errors, 44 warnings.

Notes: Patch0 is applied manually at %install stage; the misspelled-macro warnings are false positives (rdoc/ri deals with punctuation by escaping it into %xx form)

This is my first package, so i'm looking for a sponsor.

Comment 1 Mamoru TASAKA 2009-12-02 18:38:54 UTC
$ gem list -b haml
returns that the latest is 2.2.15 and it seems to have been
released on 2009-12-01. Would you update first?

Comment 2 Michal Babej 2009-12-02 19:42:15 UTC
Done. Updated packages are at the same place (http://mogurakun.web.runbox.net/)

Comment 3 Mamoru TASAKA 2009-12-03 18:23:10 UTC
Some notes:

* %define -> %global
  - Now Fedora prefers to use %global over %define.
    https://fedoraproject.org/wiki/Packaging/Guidelines#.25global_preferred_over_.25define

* License
  - test/haml/spec/README.md is under WTFPL so the license tag
    should be "MIT and WTFPL".

* Requires
  - Please add the needed rubygem related dependency.
    For example, lib/haml/html.rb contains:
--------------------------------------------------------
    62  require 'hpricot'
--------------------------------------------------------
    So this package may need "Requires: rubygem(hpricot)" (here
    not speaking of BuildRequires).
    Note that I don't know if this dependency is optional or not.
    Also please check other dependency (if any).

* %check
  - I think
    * hardcoding test files as %test_files is not preferable.
      It is difficult to see what this file list came from.
    * also even if hardcoding these files is needed, defining %test_files
      is not needed because
      - %test_files is in essence used only in one place (in %check)
      - Whether adding executable permission to a script or not should
        be determined (for this case) by checking if the script has
        shebang or not, and should not be determined by hardcoded file list.

    I think
    - fixing Rakefile and execute "rake test"
    - or using
------------------------------------------------------------
pushd %{buildroot}%{geminstdir}
# The following -path list is from Rakefile
find * \
	-path 'test/*/*_test.rb' \
	-not -path 'test/rails/*' \
	-not -path 'test/plugins/*' \
	-not -path 'test/haml/spec/*' | \
	while read f
do
	ruby $f
done
------------------------------------------------------------
    is better.

* Macros
  - As %geminstdir is already defined, use the macro in %files.

* %changelog style
  - When using Fedora CVS system, it is convenient when you put one line
    between each %changelog entry (for "make clog", for example), like
------------------------------------------------------------
%changelog
* Wed Dec 02 2009 Michal Babej <mbabej@redhat.com> - 2.2.15-1
- Update to new upstream release

* Wed Dec 02 2009 Michal Babej <mbabej@redhat.com> - 2.2.14-1
- Initial package
-------------------------------------------------------------

By the way it is appreciated if you post the full URL of the new
spec/srpm.

Comment 4 Michal Babej 2009-12-04 16:31:46 UTC
(In reply to comment #3)
> * %define -> %global
>   - Now Fedora prefers to use %global over %define.

Fixed.

> 
> * License
>   - test/haml/spec/README.md is under WTFPL so the license tag
>     should be "MIT and WTFPL".

Fixed.

> 
> * Requires
>   - Please add the needed rubygem related dependency.
>     Note that I don't know if this dependency is optional or not.

/usr/bin/html2haml requires it, so i think it's not optional. Added.

>     Also please check other dependency (if any).
I checked all files for requires, and other possible external tools:

1. extra/haml-mode.el and extra/sass-mode.el are emacs highlighting files; not sure what to do with these.

2. extra/update_watch.rb requires sinatra and json, but this file seems only useful to haml developers, i think, so i'd like to remove it.

3. lib/haml/filters.rb: this depends on rubygem-RedCloth for Textile filter, but Markdown and Maruku filters doesn't have packaged dependencies in fedora (afaict). The code in filters.rb can handle it though, and these filters are not a requirement to use haml. What do you suggest ?

4. Rakefile has many dependencies (tlsmail, yard, rcov/rcovtask, ruby-prof, "git" command...) and i'm not sure how useful it is. The only thing i'd like to keep is the 'test' task.

5. test/benchmark has more requires (erubis, markaby, rbench - i didn't find this packaged)

7. test/haml/spec/lua_haml_spec.lua - requires lua
8. test/haml/spec/ruby_haml_test.rb - requires json; doesn't work currently, but i have a patch to make this work

6. test/sass/plugin_test.rb has require merb, but it will skip the test if no merb is found.

> 
> * %check
>       - Whether adding executable permission to a script or not should
>         be determined (for this case) by checking if the script has
>         shebang or not, and should not be determined by hardcoded file list.

Not all files from *_test.rb have shebang (Though i could create a patch for this and ask upstream to integrate it)

>     I think
>     - fixing Rakefile and execute "rake test"

I prefer this one (where by fixing i mean leave only "test" task)

> 
> * Macros
>   - As %geminstdir is already defined, use the macro in %files.

Fixed.

> 
> * %changelog style

Fixed.

> By the way it is appreciated if you post the full URL of the new
> spec/srpm.

Sure.
SRPM: http://mogurakun.web.runbox.net/rubygem-haml-2.2.15-2.fc12.src.rpm
Spec: http://mogurakun.web.runbox.net/rubygem-haml.spec

Comment 5 Mamoru TASAKA 2009-12-07 15:18:59 UTC
For -2:

(In reply to comment #4)
> (In reply to comment #3)
> > * Requires
> >   - Please add the needed rubygem related dependency.
> >     Note that I don't know if this dependency is optional or not.
> 
> 3. lib/haml/filters.rb: this depends on rubygem-RedCloth for Textile filter,
> but Markdown and Maruku filters doesn't have packaged dependencies in fedora
> (afaict). The code in filters.rb can handle it though, and these filters are
> not a requirement to use haml. What do you suggest ?

  - It seems filters related dependency is optional, so I don't think
    adding "R: rubygem(RedCloth)" is strictly needed.

> 4. Rakefile has many dependencies (tlsmail, yard, rcov/rcovtask, ruby-prof,
> "git" command...) and i'm not sure how useful it is. The only thing i'd like to
> keep is the 'test' task.

  - We usually don't add dependency for Rakefile based dependency
    ( By the way I like to create -doc subpackage for rubygem based rpm
      and I usually put Rakefile to -doc, not to main package )

> > * %check
> >       - Whether adding executable permission to a script or not should
> >         be determined (for this case) by checking if the script has
> >         shebang or not, and should not be determined by hardcoded file list.
> 
> Not all files from *_test.rb have shebang (Though i could create a patch for
> this and ask upstream to integrate it)

  - But with your current rpm only ruby script with shebang have executable
    permission (and not all *_test.rb have shebang) anyway, so judging by
    my method should be possible.
    ( By the way if scripts without shebang have executable permission, or
      if scripts with shebang don't have exectable permission, rpmlint
      warns about this ).

    The reason I am talking about this is that I think hardcoding %test_files
    list should be avoided unless impossible.

Comment 6 Michal Babej 2009-12-09 18:14:01 UTC
(In reply to comment #5)
> 
>   - It seems filters related dependency is optional, so I don't think
>     adding "R: rubygem(RedCloth)" is strictly needed.

OK.

> 
> > 4. Rakefile has many dependencies (tlsmail, yard, rcov/rcovtask, ruby-prof,
> > "git" command...) and i'm not sure how useful it is. The only thing i'd like to
> > keep is the 'test' task.
> 
>   - We usually don't add dependency for Rakefile based dependency
>     ( By the way I like to create -doc subpackage for rubygem based rpm
>       and I usually put Rakefile to -doc, not to main package )

The problem is, i can't even do "rake test" because loading of rakefile fails on dependencies.

> 
>   - But with your current rpm only ruby script with shebang have executable
>     permission (and not all *_test.rb have shebang) anyway, so judging by
>     my method should be possible.

In my current rpm, only two of 10 test files miss shebang line, in %install i add it to those two, and then set all 10 to +x with chmod.

>     ( By the way if scripts without shebang have executable permission, or
>       if scripts with shebang don't have exectable permission, rpmlint
>       warns about this ).

I know. That's why i do all this :)

> 
>     The reason I am talking about this is that I think hardcoding %test_files
>     list should be avoided unless impossible.  

It's not impossible, but i'd have to:
1. create a patch that adds shebang lines, so all _test.rb have it; and
2. call chmod +x, or specify executable bit with %attr

Do you think this would be OK ?

Comment 7 Mamoru TASAKA 2009-12-11 17:45:19 UTC
Well, then first of all how did you determine the list
of %test_files?

Comment 8 Michal Babej 2009-12-18 13:46:33 UTC
I asked one of the developers, he said test/*/*_test.rb

Comment 9 Mamoru TASAKA 2009-12-23 15:58:45 UTC
Well, for now I won't object to use %test_files. So
would you modify your spec file if there is something you want
to do so and reupload your spec/srpm again?

Comment 10 Mamoru TASAKA 2009-12-31 12:32:14 UTC
*** Bug 551565 has been marked as a duplicate of this bug. ***

Comment 11 Michal Babej 2010-01-05 14:47:28 UTC
OK, i did some changes:
- update to 2.2.16
- got rid of test_files macro in %check (replaced it with solution from comment #3)
- replaced test_files in %install with commands from Jeroen van Meeuwen's specfile for rubygem-haml (bug 551565)

http://mogurakun.web.runbox.net/rubygem-haml.spec
http://mogurakun.web.runbox.net/rubygem-haml-2.2.16-1.fc12.src.rpm

Comment 12 Mamoru TASAKA 2010-01-05 17:47:06 UTC
Well, I have not looked into the newest srpm yet, however
at least scratch build fails on rawhide:

http://koji.fedoraproject.org/koji/taskinfo?taskID=1903695

Note that rawhide uses rubygem-rack-1.1.0-1.fc13

Comment 13 Mamoru TASAKA 2010-01-06 17:43:38 UTC
(In reply to comment #12)
> Well, I have not looked into the newest srpm yet, however
> at least scratch build fails on rawhide:
> 
> http://koji.fedoraproject.org/koji/taskinfo?taskID=1903695
> 
> Note that rawhide uses rubygem-rack-1.1.0-1.fc13  

Actually rubygem-actionpack is broken with rack 1.1.0
(bug 552972)

Comment 14 Mamoru TASAKA 2010-01-07 17:29:19 UTC
(In reply to comment #13)
> Actually rubygem-actionpack is broken with rack 1.1.0
> (bug 552972)  

I applied a workaround on rawhide actionpack.
Now this package itself seems okay, then:

-------------------------------------------------------------
NOTE: Before being sponsored:

This package will be accepted with another few work. 
But before I accept this package, someone (I am a candidate) 
must sponsor you.

Once you are sponsored, you have the right to review other 
submitters' review requests and approve the packages formally. 
For this reason, the person who want to be sponsored (like you) 
are required to "show that you have an understanding 
of the process and of the packaging guidelines" as is described
on :
http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored

Usually there are two ways to show this.
A. submit other review requests with enough quality.
B. Do a "pre-review" of other person's review request
   (at the time you are not sponsored, you cannot do
   a formal review)

When you have submitted a new review request or have pre-reviewed other 
person's review request, please write the bug number on this bug report 
so that I can check your comments or review request.

Fedora package collection review requests which are waiting for someone to
review can be checked on my wiki page:
http://fedoraproject.org/wiki/User:Mtasaka#B._Review_request_tickets
(Check "No one is reviewing")

Review guidelines are described mainly on:
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines
http://fedoraproject.org/wiki/Packaging/Guidelines
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets
------------------------------------------------------------

Comment 15 Mamoru TASAKA 2010-01-07 17:49:02 UTC
(By the way the macro %ruby_sitelib is used nowhere so this macro
 definition can be removed)

Comment 16 Mamoru TASAKA 2010-01-21 17:21:56 UTC
ping?

Comment 17 Mamoru TASAKA 2010-01-28 15:36:11 UTC
ping again?

Comment 18 Michal Babej 2010-01-28 16:44:29 UTC
Hello,

sorry for late response. What deadline are we aiming for ?

Comment 19 Mamoru TASAKA 2010-01-28 17:00:18 UTC
Not a dealine issue, however usually if no response from the 
submitter is received within one month + one week, the bug 
is closed as NOTABUG so that other person can take over the 
submitted package.

http://fedoraproject.org/wiki/Policy_for_stalled_package_reviews

Comment 20 Mamoru TASAKA 2010-02-09 06:07:09 UTC
ping again?

Comment 21 Mamoru TASAKA 2010-02-09 06:07:32 UTC
*** Bug 562998 has been marked as a duplicate of this bug. ***

Comment 22 Mo Morsi 2010-02-09 15:43:18 UTC
Hey, I can help out w/ reviewing / submitting this package but can we update it to the most recent version 2.2.19

http://gemcutter.org/gems/haml

I ask because apparently there are new haml dependencies which are not reflected in the current rpm spec, and are needed by haml for features needed in other software.

Specifically the yard and markuku (which in return depends on syntax) gem dependencies have been added 

https://bugzilla.redhat.com/show_bug.cgi?id=562997
https://bugzilla.redhat.com/show_bug.cgi?id=562993
https://bugzilla.redhat.com/show_bug.cgi?id=504470

Haml >= 2,2,19 is needed for the latest release of compass https://bugzilla.redhat.com/show_bug.cgi?id=563000

If you need any assistance shout our or check my spec (in the closed / duplicate bug) where I have all the deps and build setup.

Comment 23 Michal Babej 2010-02-09 19:02:11 UTC
Hi,

> I ask because apparently there are new haml dependencies which are not
> reflected in the current rpm spec, and are needed by haml for features needed
> in other software.

Yard and maruku are not new deps; I intentionally left them out, since those were build dependencies (that is, if you want to build the gem out of git tree), and i didn't want to introduce unnecessary deps.

I'll ask upstream, but afaik they still aren't a runtime (or rpm build time) dependency.

I know there's new haml; i'll be updating it shortly.

Comment 24 Jeroen van Meeuwen 2010-02-11 13:47:40 UTC
It seems the patch supplied to the sass engine test is not needed anymore.

I used: http://www.kanarip.com/custom/SPECS/rubygem-haml.spec / http://www.kanarip.com/custom/f12/SRPMS/rubygem-haml-2.2.19-1.fc12.src.rpm

Comment 25 Mamoru TASAKA 2010-02-27 15:22:00 UTC
Michal, ping?
(Just to be sure that I am also waiting for your another review
 request or your pre-review of other person's review request for
 sponsorship issue)

Comment 26 Michal Fojtik 2010-03-04 12:19:23 UTC
Mamoru, Michal, any progress with this gem ?

Comment 27 Michal Babej 2010-03-04 16:01:53 UTC
Hi,

2.2.20 packaged is here:

http://mogurakun.web.runbox.net/rubygem-haml-2.2.20-1.fc13.noarch.rpm
http://mogurakun.web.runbox.net/rubygem-haml-2.2.20-1.fc13.src.rpm
http://mogurakun.web.runbox.net/rubygem-haml.spec

Note 1: doesn't build on F12 (rails + rack 1.1.0)
Note 2: removed patch to sass engine test

Comment 28 Mamoru TASAKA 2010-03-04 18:13:04 UTC
Well, your srpm itself seems good now.
So as I wrote in my comment 14 and comment 25, now I am waiting
for your another review request submission (submitting another
gem-based rpm may be simper), or your pre-review of other person's
review request.

Comment 29 Mamoru TASAKA 2010-03-04 18:20:36 UTC
(In reply to comment #27)
> Note 1: doesn't build on F12 (rails + rack 1.1.0)

Being tracked on bug 552972. Would you (and also people watching this bug)
comment on the bug? If we can hear consent from more people to downgrade
rack on F-12 to 1.0.0, we can fix so more quickly.

Comment 30 Michal Fojtik 2010-03-12 08:41:53 UTC
It seems like Rack was recently downgraded to 1.0.0, which means this package should be build fine in Koji now (F-12).

If Michal would confirm this, I'm not seeing any issue which could prevent giving a fedora-review+ flag here. 

Also, this package is blocking couple of things (and is attractive for users as well). So instead of waiting for Michal's reviews I could take CVS import of this package if Michal agreed.

Comment 31 Michal Babej 2010-03-12 08:51:55 UTC
Sure, go ahead.

Comment 32 Mamoru TASAKA 2010-03-12 09:24:41 UTC
If Michal Fojtik is going to be the maintainer of this package,
I can approve this package (F-14/13/12 rebuild passed)

Comment 33 Mamoru TASAKA 2010-03-13 05:15:22 UTC
So would you want to be the maintainer of rubygem-haml,
Michal Fojtik?

Comment 34 Matthew Kent 2010-03-16 19:06:16 UTC
I'm willing to help with maintenance as I need this dependency for another app.

Comment 35 Mamoru TASAKA 2010-03-17 06:41:13 UTC
So who is really going to be the maintainer for this package?
Michal Fojtik, would you agree with that Matthew will be the owner
for this package?

Comment 36 Michal Fojtik 2010-03-18 12:53:59 UTC
I'm sorry, I was gone for couple of days. 
I agree, Matthew could be maintainer.

Comment 37 Mamoru TASAKA 2010-03-18 13:05:35 UTC
Thank you for replying. Now I approve this.

------------------------------------------------------------
  This package (rubygem-haml) is APPROVED by mtasaka
------------------------------------------------------------

Comment 38 Matthew Kent 2010-03-18 20:50:46 UTC
New Package CVS Request
=======================
Package Name: rubygem-haml
Short Description: XHTML/XML templating engine
Owners: mkent
Branches: F-11 F-12 F-13
InitialCC:

Comment 39 Kevin Fenzi 2010-03-19 19:40:14 UTC
CVS done (by process-cvs-requests.py).

Comment 40 Fedora Update System 2010-03-27 23:05:54 UTC
rubygem-haml-2.2.20-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/rubygem-haml-2.2.20-1.fc11

Comment 41 Fedora Update System 2010-03-27 23:07:23 UTC
rubygem-haml-2.2.20-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/rubygem-haml-2.2.20-1.fc12

Comment 42 Fedora Update System 2010-03-27 23:08:28 UTC
rubygem-haml-2.2.20-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/rubygem-haml-2.2.20-1.fc13

Comment 43 Mamoru TASAKA 2010-03-28 15:57:04 UTC
Closing.

Comment 44 Fedora Update System 2010-03-30 02:16:38 UTC
rubygem-haml-2.2.20-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 45 Fedora Update System 2010-03-30 02:21:30 UTC
rubygem-haml-2.2.20-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 46 Fedora Update System 2010-04-09 03:56:47 UTC
rubygem-haml-2.2.20-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 47 Michael Stahnke 2010-09-10 18:31:13 UTC
Package Change Request
======================
Package Name: rubygem-haml
New Branches: el5 el6
Owners: stahnma

Comment 48 Kevin Fenzi 2010-09-10 18:41:22 UTC
Git done (by process-git-requests).

Comment 49 Michal Fojtik 2011-07-15 13:58:26 UTC
(In reply to comment #47)
> Package Change Request
> ======================
> Package Name: rubygem-haml
> New Branches: el5 el6
> Owners: stahnma

Can you please import this gem into EPEL6?

Error: No Package found for rubygem(haml)

Thanks!


Note You need to log in before you can comment on or make changes to this bug.